Skip to content

AccountsPayableService⁠

Manage accounts payable records.

Operations⁠

updateInvoiceByID⁠

POST

Updates an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/accountspayable/updateInvoiceByID
POST /nexum/627/persistent/accountspayable/updateInvoiceByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "InvoiceFields": {
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateInvoiceNoteByID⁠

POST

Updates an invoice note.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
InvoiceNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/accountspayable/updateInvoiceNoteByID
POST /nexum/627/persistent/accountspayable/updateInvoiceNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "InvoiceNoteLocator": 0,
  "InvoiceNoteFields": {
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createVendor⁠

POST

Creates a new vendor.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
VendorNumberstringoptional
POST/nexum/{sym}/persistent/accountspayable/createVendor
POST /nexum/627/persistent/accountspayable/createVendor HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorFields": {
    "Number": "string",
    "Name": "string",
    "Payee": "string",
    "Street": "string",
    "City": "string",
    "State": "string",
    "ZipCode": "0"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createInvoice⁠

POST

Creates a new invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
InvoiceLocatorintegeroptional
POST/nexum/{sym}/persistent/accountspayable/createInvoice
POST /nexum/627/persistent/accountspayable/createInvoice HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceFields": {
    "Number": "string",
    "Description": "string",
    "InvoiceDate": "2026-01-01",
    "DueDateFinal": "2026-01-01",
    "TotalInvoiceAmtDue": "string",
    "Type": 0,
    "Status": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createInvoiceNote⁠

POST

Creates a note for an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
InvoiceNoteLocatorintegeroptional
POST/nexum/{sym}/persistent/accountspayable/createInvoiceNote
POST /nexum/627/persistent/accountspayable/createInvoiceNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "InvoiceNoteFields": {
    "Code": 0,
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ],
    "UserId": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteVendor⁠

POST

Deletes a vendor.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringrequired
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/accountspayable/deleteVendor
POST /nexum/627/persistent/accountspayable/deleteVendor HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}